# Interface ICSSPropertyBorderHandler

All Superinterfaces:
  `ICSSPropertyHandler`

All Known Implementing Classes:
  `AbstractCSSPropertyBorderHandler, CSSPropertyBorderSWTHandler`

public interface ICSSPropertyBorderHandler extends ICSSPropertyHandler
CSS2 Border Property Handler.

See Also:
  - w3schools

## Method Summary

Modifier and Type
Method
Description
`void`
`applyCSSPropertyBorder(Object element, CSSValue value, String pseudo, CSSEngine engine)`
A shorthand property for setting all of the properties for the four borders in one declaration.
`void`
`applyCSSPropertyBorderBottom(Object element, CSSValue value, String pseudo, CSSEngine engine)`
A shorthand property for setting all of the properties for the bottom border in one declaration.
`void`
`applyCSSPropertyBorderBottomColor(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the color of the bottom border.
`void`
`applyCSSPropertyBorderBottomStyle(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the style of the bottom border.
`void`
`applyCSSPropertyBorderBottomWidth(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the width of the bottom border.
`void`
`applyCSSPropertyBorderColor(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the color of the four borders, can have from one to four colors.
`void`
`applyCSSPropertyBorderLeft(Object element, CSSValue value, String pseudo, CSSEngine engine)`
A shorthand property for setting all of the properties for the left border in one declaration.
`void`
`applyCSSPropertyBorderLeftColor(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the color of the left border.
`void`
`applyCSSPropertyBorderLeftStyle(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the style of the left border.
`void`
`applyCSSPropertyBorderLeftWidth(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the width of the left border.
`void`
`applyCSSPropertyBorderRight(Object element, CSSValue value, String pseudo, CSSEngine engine)`
A shorthand property for setting all of the properties for the right border in one declaration.
`void`
`applyCSSPropertyBorderRightColor(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the color of the right border.
`void`
`applyCSSPropertyBorderRightStyle(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the style of the right border.
`void`
`applyCSSPropertyBorderRightWidth(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the width of the right border.Available values are= thin medium thick length
`void`
`applyCSSPropertyBorderStyle(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the style of the four borders, can have from one to four styles.
`void`
`applyCSSPropertyBorderTop(Object element, CSSValue value, String pseudo, CSSEngine engine)`
A shorthand property for setting all of the properties for the top border in one declaration.
`void`
`applyCSSPropertyBorderTopColor(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the color of the top border.
`void`
`applyCSSPropertyBorderTopStyle(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the style of the top border.
`void`
`applyCSSPropertyBorderTopWidth(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the width of the top border.
`void`
`applyCSSPropertyBorderWidth(Object element, CSSValue value, String pseudo, CSSEngine engine)`
A shorthand property for setting the width of the four borders in one declaration, can have from one to four values.
`String`
`retrieveCSSPropertyBorder(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderBottom(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderBottomColor(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderBottomStyle(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderBottomWidth(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderColor(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderLeft(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderLeftColor(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderLeftStyle(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderLeftWidth(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderRight(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderRightColor(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderRightStyle(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderRightWidth(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderStyle(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderTop(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderTopColor(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderTopStyle(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderTopWidth(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderWidth(Object element, String pseudo, CSSEngine engine)`

### Methods inherited from interface ICSSPropertyHandler

`applyCSSProperty, onAllCSSPropertiesApplied, onAllCSSPropertiesApplied, retrieveCSSProperty`

## Method Details

### applyCSSPropertyBorder

void applyCSSPropertyBorder(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
A shorthand property for setting all of the properties for the four borders in one declaration. Available values are= border-width border-style border-color

Throws:
  `Exception`

### applyCSSPropertyBorderBottom

void applyCSSPropertyBorderBottom(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
A shorthand property for setting all of the properties for the bottom border in one declaration. Available values are=border-bottom-width border-style border-color

Throws:
  `Exception`

### applyCSSPropertyBorderBottomColor

void applyCSSPropertyBorderBottomColor(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the color of the bottom border. Available values are=border-color

Throws:
  `Exception`

### applyCSSPropertyBorderBottomStyle

void applyCSSPropertyBorderBottomStyle(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the style of the bottom border. Available values are=border-style

Throws:
  `Exception`

### applyCSSPropertyBorderBottomWidth

void applyCSSPropertyBorderBottomWidth(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the width of the bottom border. Available values are= thin medium thick length

Throws:
  `Exception`

### applyCSSPropertyBorderColor

void applyCSSPropertyBorderColor(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the color of the four borders, can have from one to four colors. Available values are=color

Throws:
  `Exception`

### applyCSSPropertyBorderLeft

void applyCSSPropertyBorderLeft(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
A shorthand property for setting all of the properties for the left border in one declaration. Available values are=border-left-width border-style border-color

Throws:
  `Exception`

### applyCSSPropertyBorderLeftColor

void applyCSSPropertyBorderLeftColor(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the color of the left border. Available values are=border-color

Throws:
  `Exception`

### applyCSSPropertyBorderLeftStyle

void applyCSSPropertyBorderLeftStyle(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the style of the left border. Available values are=border-style

Throws:
  `Exception`

### applyCSSPropertyBorderLeftWidth

void applyCSSPropertyBorderLeftWidth(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the width of the left border. Available values are=thin medium thick length

Throws:
  `Exception`

### applyCSSPropertyBorderRight

void applyCSSPropertyBorderRight(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
A shorthand property for setting all of the properties for the right border in one declaration. Available values are=border-right-width border-style border-color

Throws:
  `Exception`

### applyCSSPropertyBorderRightColor

void applyCSSPropertyBorderRightColor(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the color of the right border. Available values are=border-color

Throws:
  `Exception`

### applyCSSPropertyBorderRightStyle

void applyCSSPropertyBorderRightStyle(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the style of the right border. Available values are=border-style

Throws:
  `Exception`

### applyCSSPropertyBorderRightWidth

void applyCSSPropertyBorderRightWidth(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the width of the right border.Available values are= thin medium thick length

Throws:
  `Exception`

### applyCSSPropertyBorderStyle

void applyCSSPropertyBorderStyle(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the style of the four borders, can have from one to four styles. Available values are=none hidden dotted dashed solid double groove ridge inset outset

Throws:
  `Exception`

### applyCSSPropertyBorderTop

void applyCSSPropertyBorderTop(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
A shorthand property for setting all of the properties for the top border in one declaration. Available values are=border-top-width border-style border-color

Throws:
  `Exception`

### applyCSSPropertyBorderTopColor

void applyCSSPropertyBorderTopColor(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the color of the top border. Available values are=border-color

Throws:
  `Exception`

### applyCSSPropertyBorderTopStyle

void applyCSSPropertyBorderTopStyle(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the style of the top border. Available values are=border-style

Throws:
  `Exception`

### applyCSSPropertyBorderTopWidth

void applyCSSPropertyBorderTopWidth(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the width of the top border. Available values are=thin medium thick length

Throws:
  `Exception`

### applyCSSPropertyBorderWidth

void applyCSSPropertyBorderWidth(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
A shorthand property for setting the width of the four borders in one declaration, can have from one to four values. Available values are=thin medium thick length

Throws:
  `Exception`

### retrieveCSSPropertyBorder

String retrieveCSSPropertyBorder(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorderBottom

String retrieveCSSPropertyBorderBottom(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorderBottomColor

String retrieveCSSPropertyBorderBottomColor(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorderBottomStyle

String retrieveCSSPropertyBorderBottomStyle(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorderBottomWidth

String retrieveCSSPropertyBorderBottomWidth(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorderColor

String retrieveCSSPropertyBorderColor(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorderLeft

String retrieveCSSPropertyBorderLeft(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorderLeftColor

String retrieveCSSPropertyBorderLeftColor(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorderLeftStyle

String retrieveCSSPropertyBorderLeftStyle(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorderLeftWidth

String retrieveCSSPropertyBorderLeftWidth(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorderRight

String retrieveCSSPropertyBorderRight(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorderRightColor

String retrieveCSSPropertyBorderRightColor(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorderRightStyle

String retrieveCSSPropertyBorderRightStyle(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorderRightWidth

String retrieveCSSPropertyBorderRightWidth(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorderStyle

String retrieveCSSPropertyBorderStyle(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorderTop

String retrieveCSSPropertyBorderTop(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorderTopColor

String retrieveCSSPropertyBorderTopColor(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorderTopStyle

String retrieveCSSPropertyBorderTopStyle(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorderTopWidth

String retrieveCSSPropertyBorderTopWidth(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorderWidth

String retrieveCSSPropertyBorderWidth(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`